package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.dto.ConflictDto;
import com.koobietech.eas.dao.dto.ScheduleDto;
import com.koobietech.eas.dao.pojo.LessonPojo;
import com.koobietech.eas.dao.pojo.SchedulePojo;
import com.koobietech.eas.mbg.model.EasEduSchedule;

import java.util.List;

public interface EasEduScheduleService {
    Boolean add(EasEduSchedule schedule, int repeatTime);

    Boolean delete(Long id);

    Boolean update(EasEduSchedule schedule);

    PageDataResult query(EasEduSchedule schedule);

    List<SchedulePojo> querySchedule(ScheduleDto schedule);

    Boolean queryConflict(ConflictDto conflictDto);

    LessonPojo dashboardWorkbench();

}
